OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types
CYapfRail_TypesT< Tpf_, Ttrack_follower, Tnode_list, TdestinationT, TfollowT > Struct Template Reference

## Public Types
typedef CYapfRail_TypesT< Tpf_, Ttrack_follower, Tnode_list, TdestinationT, TfollowT > | Types
typedef Tpf_ | Tpf
typedef Ttrack_follower | TrackFollower
typedef Tnode_list | NodeList
typedef Train | VehicleType
typedef CYapfBaseT< Types > | PfBase
typedef TfollowT< Types > | PfFollow
typedef CYapfOriginTileTwoWayT < Types > | PfOrigin
typedef TdestinationT< Types > | PfDestination
typedef CYapfSegmentCostCacheGlobalT < Types > | PfCache
typedef CYapfCostRailT< Types > | PfCost

## Detailed Description

### template<class Tpf_, class Ttrack_follower, class Tnode_list, template< class Types > class TdestinationT, template< class Types > class TfollowT>
struct CYapfRail_TypesT< Tpf_, Ttrack_follower, Tnode_list, TdestinationT, TfollowT >

Definition at line 507 of file yapf_rail.cpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_rail.cpp